.\"	$NetBSD: ipmi.4,v 1.7 2009/05/04 19:16:41 wiz Exp $
.\"
.\" Copyright (c) 2006 Manuel Bouyer.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd September 8, 2008
.Dt IPMI 4
.Os
.Sh NAME
.Nm ipmi
.Nd Intelligent Platform Management Interface driver
.Sh SYNOPSIS
.Cd "ipmi0 at mainbus?"
.Sh DESCRIPTION
The
.Nm
device driver supports motherboards implementing the
Intelligent Platform Management Interface version 1.5 or 2.0,
and exports sensors and the watchdog through the
.Xr envsys 4
interface.
.Sh EVENTS
The
.Nm
driver is able to send events to
.Xr powerd 8
when a sensor's state has changed.
Intrusion sensors will send a
.Em critical
event when state is not ok.
Power Supply sensors will send a
.Em critical
event when the Power Supply unit is not installed and
.Em warning-over
when the Power Supply unit is installed but not powered on.
Fan, temperature and voltage sensors will send
.Em critical-over
or
.Em critical-under
when the value is very critical, or
.Em warning-over
or
.Em warning-under
if it's in a warning alert.
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr envstat 8 ,
.Xr powerd 8 ,
.Xr wdogctl 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Ox 3.9
and was then ported to
.Nx 4.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was originally written by
.An Jordan Hargrave
and was ported to
.Nx
by
.An Manuel Bouyer
.Aq bouyer@NetBSD.org .
